Termination Request

Submits a termination request for an EOR contract on behalf of a team member. Callers must hold group admin or people manager permissions. Token scopes: contracts:read, contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

oidstringRequired
Public contract id

Request

This endpoint expects an object.
dataobjectRequired

Response

Ok response
iddouble
end_datestring or nullformat: "date-time"
The definitive contract end date
contract_idstring
Public contract oid
request_dataobject or null
desired_end_datestring or nullformat: "date-time"
The desired end date. If the date is not provided, it will be selected by HRX the closest date possible

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error